Bug 1246827 - iText version outdated
Summary: iText version outdated
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: itext
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-07-26 06:55 UTC by Thomas Drake-Brockman
Modified: 2015-07-26 10:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-26 10:51:42 UTC


Attachments (Terms of Use)

Description Thomas Drake-Brockman 2015-07-26 06:55:37 UTC
Description of problem: The latest release of iText available in the Fedora 22 repositories is 2.1.7 (Jul 2009), the latest upstream release is 5.5.6 (May 2015).


Version-Release number of selected component (if applicable): 2.1.7-28.fc22


Steps to Reproduce:
1. dnf install itext

Actual results: Latest version is 2.1.7.


Expected results: A more recent version.


Additional info:

I'm attempting to package mcpdf, which relies on a recent iText.

I do note that a discussion in 2011 suggested that iText's license is no longer permissible on Fedora. https://lists.fedoraproject.org/pipermail/legal/2011-June/001656.html

Comment 1 gil cattaneo 2015-07-26 08:38:01 UTC
how you report in the latest comment iText(pdf) is not free.
suggestion: port mcpdf to use iText 2.x series.
i close this bug, reopen only if iTextpdf license become more permissible for Fedora. Otherwise, i advice to contact the Fedora Legal staff

Comment 2 Thomas Drake-Brockman 2015-07-26 10:30:51 UTC
I have contacted iText, and I will update if there is potential to resolve the licensing situation.

Comment 3 gil cattaneo 2015-07-26 10:50:05 UTC
(In reply to Thomas Drake-Brockman from comment #2)
> I have contacted iText, and I will update if there is potential to resolve
> the licensing situation.

Great! as suggested above, contact also the FE-Legal staff.
I also required newer iText for some my maintained libraries e.g. JasperReport


Note You need to log in before you can comment on or make changes to this bug.